get
https://api.figment.io/ethereum/activities
Returns Ethereum staking activities for the authenticated organization.
Activity types
type | Description | Notes |
|---|---|---|
stake | ETH deposited to the deposit contract to provision a validator | |
unstake | Validator exit initiated | tx.hash and tx.status are always null — the exit is an off-chain beacon chain message, not an on-chain transaction |
delegation | Rewards compounded / top-up stake activated | |
undelegation | Partial withdrawal swept from the beacon chain | |
consolidation | Two validators consolidated into one | |
upgrade | Validator credentials upgraded to compounding |
tx.status reflects the on-chain transaction status (in_progress, confirmed, failed, expired).
The Activities endpoint returns all activities for the organization associated with your API-Key, i.e. activities initiated via the Figment App and API.
Activities for tracked addressed are currently not returned by this endpoint. This is specifically relvant for staking activities to Figment validators initiated via your custodian or wallet infrastructure.
Activity types
type | Description | Notes |
|---|---|---|
stake | ETH deposited to the deposit contract to provision a validator | |
unstake | Validator exit initiated | tx.hash and tx.status are always null — the exit is an off-chain beacon chain message, not an on-chain transaction |
delegation | Rewards compounded / top-up stake activated | |
undelegation | Partial withdrawal swept from the beacon chain | |
consolidation | Two validators consolidated into one | |
upgrade | Validator credentials upgraded to compounding |
tx.status reflects the on-chain transaction status (in_progress, confirmed, failed, expired).
401Invalid API key
